curl --request PUT \
--url https://api.hubapi.com/automation/sequences/2026-09-beta/serviceaccounts/sequences/{sequenceId} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"dependencies": [
{
"branchNumber": 123,
"reliesOnStepOrder": 123,
"requiredByStepOrder": 123
}
],
"dynamic": true,
"name": "<string>",
"settings": {
"individualTaskRemindersEnabled": true,
"sendWindowEndMinute": 123,
"sendWindowStartMinute": 123,
"taskCreationMinute": 123,
"taskReminderMinute": 123,
"unenrollmentSettings": {
"emailSettings": {},
"meetingSettings": {}
},
"useThreadedFollowUps": true
},
"steps": [
{
"branchNumber": 123,
"delayMillis": 123,
"dynamic": true,
"stepOrder": 123,
"variants": [
{
"activated": true,
"variantOrdinal": 123
}
],
"delayMillisMax": 123,
"delayMillisMin": 123
}
],
"engagementTriggers": {
"numberOfClicks": 123,
"numberOfOpens": 123
},
"folderId": "<string>"
}
'import requests
url = "https://api.hubapi.com/automation/sequences/2026-09-beta/serviceaccounts/sequences/{sequenceId}"
payload = {
"dependencies": [
{
"branchNumber": 123,
"reliesOnStepOrder": 123,
"requiredByStepOrder": 123
}
],
"dynamic": True,
"name": "<string>",
"settings": {
"individualTaskRemindersEnabled": True,
"sendWindowEndMinute": 123,
"sendWindowStartMinute": 123,
"taskCreationMinute": 123,
"taskReminderMinute": 123,
"unenrollmentSettings": {
"emailSettings": {},
"meetingSettings": {}
},
"useThreadedFollowUps": True
},
"steps": [
{
"branchNumber": 123,
"delayMillis": 123,
"dynamic": True,
"stepOrder": 123,
"variants": [
{
"activated": True,
"variantOrdinal": 123
}
],
"delayMillisMax": 123,
"delayMillisMin": 123
}
],
"engagementTriggers": {
"numberOfClicks": 123,
"numberOfOpens": 123
},
"folderId": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
dependencies: [{branchNumber: 123, reliesOnStepOrder: 123, requiredByStepOrder: 123}],
dynamic: true,
name: '<string>',
settings: {
individualTaskRemindersEnabled: true,
sendWindowEndMinute: 123,
sendWindowStartMinute: 123,
taskCreationMinute: 123,
taskReminderMinute: 123,
unenrollmentSettings: {emailSettings: {}, meetingSettings: {}},
useThreadedFollowUps: true
},
steps: [
{
branchNumber: 123,
delayMillis: 123,
dynamic: true,
stepOrder: 123,
variants: [{activated: true, variantOrdinal: 123}],
delayMillisMax: 123,
delayMillisMin: 123
}
],
engagementTriggers: {numberOfClicks: 123, numberOfOpens: 123},
folderId: '<string>'
})
};
fetch('https://api.hubapi.com/automation/sequences/2026-09-beta/serviceaccounts/sequences/{sequenceId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"createdAt": "2023-11-07T05:31:56Z",
"dependencies": [
{
"createdAt": "2023-11-07T05:31:56Z",
"dependencyType": "ADAPTIVE_COMPLETION",
"id": "<string>",
"reliesOnSequenceStepId": "<string>",
"reliesOnStepOrder": 123,
"requiredBySequenceStepId": "<string>",
"requiredByStepOrder": 123,
"updatedAt": "2023-11-07T05:31:56Z"
}
],
"id": "<string>",
"name": "<string>",
"steps": [
{
"actionType": "ADAPTIVE_CONTAINER",
"createdAt": "2023-11-07T05:31:56Z",
"delayMillis": 123,
"id": "<string>",
"stepOrder": 123,
"updatedAt": "2023-11-07T05:31:56Z",
"emailPattern": {
"createdAt": "2023-11-07T05:31:56Z",
"id": "<string>",
"templateId": "<string>",
"updatedAt": "2023-11-07T05:31:56Z",
"threadEmailToStepOrder": 123
},
"taskPattern": {
"createdAt": "2023-11-07T05:31:56Z",
"id": "<string>",
"taskPriority": "HIGH",
"taskType": "CALL",
"updatedAt": "2023-11-07T05:31:56Z",
"notes": "<string>",
"queueId": "<string>",
"subject": "<string>",
"templateId": "<string>",
"threadEmailToStepOrder": 123
}
}
],
"updatedAt": "2023-11-07T05:31:56Z",
"userId": "<string>",
"folderId": "<string>",
"settings": {
"createdAt": "2023-11-07T05:31:56Z",
"eligibleFollowUpDays": "BUSINESS_DAYS",
"id": "<string>",
"individualTaskRemindersEnabled": true,
"sellingStrategy": "ACCOUNT_BASED",
"sendWindowEndMinute": 123,
"sendWindowStartMinute": 123,
"taskReminderMinute": 123,
"updatedAt": "2023-11-07T05:31:56Z"
}
}{
"message": "Invalid input (details will vary based on the error)",
"correlationId": "aeb5f871-7f07-4993-9211-075dc63e7cbf",
"category": "VALIDATION_ERROR",
"links": {
"knowledge-base": "https://www.hubspot.com/products/service/knowledge-base"
}
}Update sequence
Update an existing sequence in your HubSpot account using its unique identifier. This endpoint allows you to modify the sequence settings, steps, and dependencies. Ensure that the sequenceId provided in the path is valid and corresponds to the sequence you wish to update. Please note: the scopes for this endpoint requires user-level access and will not work for existing apps with portal-level access.
Supported products
Supported products
Required Scopes
Required Scopes
Authorizations
The access token received from the authorization server in the OAuth 2.0 flow.
Path Parameters
The unique identifier of the sequence to update.
Body
An array of dependencies between sequence steps, each defined by the PublicSequenceStepDependencyRequest schema.
Show child attributes
Show child attributes
A boolean indicating whether the sequence is dynamic.
The name of the sequence. It is a string.
Show child attributes
Show child attributes
An array of steps in the sequence, each defined by the PublicSequenceStepRequest schema.
Show child attributes
Show child attributes
Show child attributes
Show child attributes
The identifier of the folder where the sequence is stored. It is a string.
Response
successful operation
The date and time when the sequence was created, in ISO 8601 format.
An array of dependencies between steps in the sequence, each represented by a PublicSequenceStepDependencyResponse object.
Show child attributes
Show child attributes
The unique identifier for the sequence.
The name of the sequence.
An array of steps included in the sequence, each represented by a PublicSequenceStepResponseV2 object.
Show child attributes
Show child attributes
The date and time when the sequence was last updated, in ISO 8601 format.
The unique identifier of the user who owns the sequence.
The identifier for the folder containing the sequence.
Show child attributes
Show child attributes
Was this page helpful?